System.Web 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object

The class is used by the ASP.NET page framework and is not intended to be accessed directly from your code. You can use the structure to convert string values to and from enumerators, or to convert objects.

Contains helper functions to convert property values to and from strings.

- Method
  System.Object `` ``

  The method is used to convert a string value to its equivalent enumeration value.

  This member supports the .NET Framework infrastructure and is not intended to be used directly from your code. To convert a string value to its equivalent enumeration value, use the method.

  Converts the string representation to a value of the specified enumeration type.

  An enumeration of type .

  A that represents the enumeration type to create from the parameter. The that represents a value in the enumerator. 1.0.5000.0 2.0.0.0
- Method
  System.String `` ``

  The method is used to convert an enumeration value to its equivalent string representation.

  This member supports the .NET Framework infrastructure and is not intended to be used directly from your code. To convert an enumeration value to its equivalent string representation, use the method.

  Converts the value of the specified enumeration type to its equivalent string representation.

  The string representation of .

  A that represents the enumeration type of . The value to convert. 1.0.5000.0 2.0.0.0
- Method
  System.Object `` `` ``

  The method is used to convert a string value to an object.

  This member supports the .NET Framework infrastructure and is not intended to be used directly from your code. To convert a string value to an object, use the Parse method for that object if the object provides a Parse method. For example, an object can be created from a string through the method.

  Converts the string value to the specified object type.

  An object of type .

  The to create from . The properties to use during conversion. The to convert into an object. 1.0.5000.0 2.0.0.0